import { API, Name } from '@wharfkit/antelope';
import { Authority } from '../eosio/authority';
import { Signer } from '../eosio/transaction';
export declare class TonomyEosioProxyContract {
    static singletonInstance: TonomyEosioProxyContract;
    static get Instance(): TonomyEosioProxyContract;
    /**
     * Deploys a contract at the specified address
     *
     * @param account - Account where the contract will be deployed
     * @param wasmFileContents - wasmFile after reading with fs.readFileSync(path) or equivalent
     * @param abiFileContents - abiFile after reading with fs.readFileSync(path, `utf8`) or equivalent
     * @param signer - Signer or Signer[] to sign the transaction
     * @param extraAuthorization - Extra authorization to be added to the transaction
     */
    deployContract(account: Name, wasmFileContent: any, abiFileContent: any, signer: Signer | Signer[], options?: {
        extraAuthorization?: {
            actor: string;
            permission: string;
        };
    }): Promise<API.v1.PushTransactionResponse>;
    updateauth(account: string, permission: string, parent: string, auth: Authority, signer: Signer, options?: {
        authParent?: boolean;
    }): Promise<API.v1.PushTransactionResponse>;
    /**
     * @param account - the permission's owner to be linked and the payer of the RAM needed to store this link,
     * @param code - the owner of the action to be linked,
     * @param type - the action to be linked,
     * @param requirement - the permission to be linked.
     */
    linkAuth(account: string, code: string, type: string, requirement: string, signer: Signer): Promise<API.v1.PushTransactionResponse>;
    setpriv(account: string, isPriv: number, signer: Signer): Promise<API.v1.PushTransactionResponse>;
}
//# sourceMappingURL=TonomyEosioProxyContract.d.ts.map