import { KeyManager, KeyManagerLevel, SignDataOptions, GetKeyOptions, StoreKeyOptions, CheckKeyOptions } from './keymanager';
import { PrivateKey, PublicKey, Signature } from '@wharfkit/antelope';
export type KeyStorage = {
    privateKey: PrivateKey;
    publicKey: PublicKey;
    hashedSaltedChallenge?: string;
    salt?: string;
};
export declare class JsKeyManager implements KeyManager {
    keyStorage: {
        [key in KeyManagerLevel]: KeyStorage;
    };
    storeKey(options: StoreKeyOptions): Promise<PublicKey>;
    private fetchKey;
    signData(options: SignDataOptions): Promise<string | Signature>;
    getKey(options: GetKeyOptions): Promise<PublicKey>;
    checkKey(options: CheckKeyOptions): Promise<boolean>;
    removeKey(options: GetKeyOptions): Promise<void>;
}
//# sourceMappingURL=jsKeyManager.d.ts.map